Converting a Fileserver to DAFS
| Appendix C. The Demand-Attach File Server |

## Converting a Fileserver to DAFS

If you have an existing traditional fileserver, you can convert it to DAFS fairly easily. The conversion is in-place, but there is at least a small amount of downtime involved even if nothing goes wrong, since the fileserver processes must be restarted. If you want to avoid any downtime, move any volumes on the fileserver to another fileserver before performing the conversion.

1. If the fileserver is currently running a version of OpenAFS earlier than 1.6.0, upgrade the fileserver to a version in the 1.6 series or later. This is not strictly necessary, but if you encounter problems here, it is helpful to catch them before converting to DAFS so as to isolate the problem.

   If you do not upgrade the fileserver before converting to DAFS, install the new OpenAFS binaries somewhere on the server.

2. If the current bosserver process running on the fileserver is older than OpenAFS 1.6.0, you must upgrade it first. This can be done by replacing the bosserver binary and running bos restart -bosserver. This will cause all AFS processes controlled by the bosserver to be restarted. You can do this at the same as upgrading the fileserver in the previous step if desired, to avoid restarting the fileserver twice.

3. Shutdown and stop the old fs bnode:

        # bos stop <machine name> fs -wait -cell <cell name>

4. Create and start the new dafs bnode.

        # bos create  <machine name> dafs dafs \
                      -cmd '/usr/afs/bin/dafileserver <dafileserver options>' \
                      -cmd '/usr/afs/bin/davolserver <davolserver options>' \
                      -cmd '/usr/afs/bin/salvageserver <salvageserver options>' \
                      -cmd '/usr/afs/bin/dasalvager <dasalvager options>' \
                      -cell <cell name>

   You can use the same options for the dafileserver process as you did for the fileserver process, and the same options for davolserver as you did for volserver.

   You can also use most of the same options for the salvageserver and dasalvager processes as you did for the salvager process; see their respective man pages. However, if you are upgrading from the 1.4.x series of OpenAFS, be aware that the -DontSalvage option does not exist anymore for the salvager (with or without DAFS).

   Also note that the dafileserver process has many more options to tune dafs-specific parameters. See the dafileserver man page for information about them.

After you have performed these steps, switching back and forth between running a DAFS and a traditional fileserver is as simple a running bos stop on one bnode, and bos start on the other. Once you are confident that the DAFS processes are running smoothly and you do not anticipate switching back to the traditional fileserver, you can bos delete the fs bnode.

Salvaging |  | Index